/*  Td.h created Nov 16, 2010
 *
 *  Copyright (C) 2010 Alexey Abel
 *
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License
 *  as published by the Free Software Foundation; either version 2
 *  of the License, or (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 *
 *
 */

#ifndef TD_H_
#define TD_H_

/*
 *
 */

#include <QDebug>

//TODO: make defines a static const of Td class?
#define NULLP 0
#define INTERVAL_DURATION 32 // should be only used in Time.*
#define BOARD_WIDTH 800 // should be only used in Td.cpp
#define BOARD_HEIGHT 600 // should be only used in Td.cpp
#define CELL_SIZE 10 // should be only used in Td.cpp
typedef unsigned char uchar;

namespace td
{
	enum EnemyType {square10px, trollface, rageface}; //TODO: make this a static type of Enemy:: ?

	uint multipleOfX(int x, int base);
	uint boardWidth(); //TODO: Does it make sense to make these const?
	uint boardHeight();
	uint cellSize();
	uint rowCount();
	uint columnCount();
}

#endif /* TD_H_ */
