/*  UserInterface.cpp created Dec 10, 2010
 *
 *  Copyright (C) 2010 Alexey Abel
 *
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License
 *  as published by the Free Software Foundation; either version 2
 *  of the License, or (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 *
 *
 */

#include "UserInterface.h"
#include <QButtonGroup>
#include <QPushButton>


EnemyButtons::EnemyButtons(QWidget* parent = NULLP) : QWidget(parent)
{
	QButtonGroup* buttonGroup = new QButtonGroup(this);
	//TODO: iterate on enums of enemies here
	QPushButton* trollface = new QPushButton (tr("trollface"));
	buttonGroup->addButton(trollface);
	buttonGroup->setId(trollface,1);
	QPushButton* rageface  = new QPushButton (tr("rageface"));
	buttonGroup->addButton(rageface);
	buttonGroup->setId(rageface,2);

	connect(buttonGroup, SIGNAL(buttonClicked(int)), this, SIGNAL(enemyClicked(int)));

//	connect(trollface, SIGNAL(clicked()), signalMapper_ , SIGNAL(map()));
//	signalMapper_->setMapping(trollface, td::trollface);
//
////	connect(rageface , SIGNAL(clicked()), signalMapper_ , SIGNAL(map()));
////	signalMapper_->setMapping(rageface, td::rageface);
}

void EnemyButtons::translateEvent (int EnemyId)
{
	//TODO: make this automatic
	if (EnemyId == 1)
	{
		emit enemyClicked(td::trollface);
	}
	else if (EnemyId == 2)
	{
		emit enemyClicked (td::trollface);
	}
}
