/*  UserInterface.h created Dec 10, 2010
 *
 *  Copyright (C) 2010 Alexey Abel
 *
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License
 *  as published by the Free Software Foundation; either version 2
 *  of the License, or (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 *
 *
 */

#ifndef USERINTERFACE_H_
#define USERINTERFACE_H_


#include <QWidget>
#include <QSignalMapper>
#include "Td.h"


class EnemyButtons : public QWidget
{
	Q_OBJECT

public:
	EnemyButtons(QWidget* parent);

signals :
	void enemyClicked(td::EnemyType);

private slots:
	void translateEvent (int EnemyId);
};

#endif /* USERINTERFACE_H_ */
